Bug 184893 - editors/textroom: Fix build on -current
Summary: editors/textroom: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-21 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.67 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:26 UTC
- Fix build on -current
- Support desktop-file-utils
- Support STRIP properly
Comment 1 dfilter service freebsd_committer 2013-12-21 11:19:22 UTC
Author: pawel
Date: Sat Dec 21 11:19:14 2013
New Revision: 337139
URL: http://svnweb.freebsd.org/changeset/ports/337139

Log:
  - Fix build on -current
  - Support desktop-file-utils
  - Strip textroom binary
  
  PR:		ports/184893
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/editors/textroom/Makefile
  head/editors/textroom/files/patch-application_application.pro   (contents, props changed)
  head/editors/textroom/pkg-plist   (contents, props changed)

Modified: head/editors/textroom/Makefile
==============================================================================
--- head/editors/textroom/Makefile	Sat Dec 21 11:03:03 2013	(r337138)
+++ head/editors/textroom/Makefile	Sat Dec 21 11:19:14 2013	(r337139)
@@ -3,27 +3,32 @@
 
 PORTNAME=	textroom
 PORTVERSION=	0.8.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	editors
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Full screen text editor
 
-LIB_DEPENDS=	libhunspell-1.3.so:${PORTSDIR}/textproc/hunspell \
-		libxml++-2.6.so:${PORTSDIR}/textproc/libxml++26 \
-		libcurl.so:${PORTSDIR}/ftp/curl
+LICENSE=	GPLv3
 
-USES=		qmake shared-mime-info
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl \
+		libhunspell-1.3.so:${PORTSDIR}/textproc/hunspell \
+		libxml++-2.6.so:${PORTSDIR}/textproc/libxml++26
+
+USES=		desktop-file-utils pkgconfig qmake
+USE_GL=		gl
 USE_SDL=	mixer
-USE_QT4=	moc_build rcc_build uic_build corelib gui xml \
-		svg opengl qt3support
-QMAKE_ARGS=	LOCALBASE=${LOCALBASE}
+USE_QT4=	moc_build rcc_build uic_build \
+		corelib gui opengl qt3support svg xml
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|' \
-		${WRKSRC}/application/src/textroom.cpp \
-		${WRKSRC}/application/src/getaword.cpp \
-		${WRKSRC}/application/src/optionsdialog.cpp
+.for i in getaword.cpp optionsdialog.cpp textroom.cpp 
+	@${REINPLACE_CMD} -e \
+		's|/usr/share|${PREFIX}/share|' ${WRKSRC}/application/src/${i}
+.endfor
+
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}/${PREFIX}/bin/textroom
 
 .include <bsd.port.mk>

Modified: head/editors/textroom/files/patch-application_application.pro
==============================================================================
--- head/editors/textroom/files/patch-application_application.pro	Sat Dec 21 11:03:03 2013	(r337138)
+++ head/editors/textroom/files/patch-application_application.pro	Sat Dec 21 11:19:14 2013	(r337139)
@@ -1,14 +1,14 @@
 --- application/application.pro.orig	2011-01-22 03:25:20.000000000 +0100
 +++ application/application.pro	2011-02-10 21:37:18.000000000 +0100
-@@ -4,19 +4,20 @@
+@@ -4,20 +4,16 @@
      src \
      ui
  
 -linux-g++ {
-+freebsd-g++ {
++unix {
  	INCLUDEPATH += . \
  	    src \
- 	    src/include \
+-	    src/include \
 -	    /usr/include \
 -	    /usr/include/hunspell \
 -	    /usr/include/libxml++-2.6 \
@@ -18,37 +18,41 @@
 -	    /usr/lib/glib-2.0/include \
 -	    /usr/lib/libxml++-2.6/include \
 -	    /usr/include/SDL
-+	    $$LOCALBASE/include \
-+	    $$LOCALBASE/include/hunspell \
-+	    $$LOCALBASE/include/libxml++-2.6 \
-+	    $$LOCALBASE/include//libxml++-2.6/include \
-+	    $$LOCALBASE/include/glibmm-2.4 \
-+	    $$LOCALBASE/lib/glibmm-2.4/include \
-+	    $$LOCALBASE/include/glib-2.0 \
-+	    $$LOCALBASE/lib/glib-2.0/include \
-+	    $$LOCALBASE/lib/libxml++-2.6/include \
-+	    $$LOCALBASE/include/SDL
- 	
+-	
++	    src/include
++	PKGCONFIG += \
++	    glib-2.0 \
++	    hunspell \
++	    libcurl \
++	    libxml++-2.6 \
++	    SDL_mixer
  }
  
-@@ -85,7 +86,7 @@
+ macx {
+@@ -85,40 +81,33 @@
      src/asciireporter.cpp
  RESOURCES += resource/textroom.qrc \
  	resource/images/icons-app.qrc 
 -linux-g++ {
-+freebsd-g++ {
++unix {
      CONFIG += release \
++        link_pkgconfig \
          build_all
      INSTALLS += data \
-@@ -98,27 +99,27 @@
+         dict \
+         target \
+         desktop \
+-        uninstaller \
+         mime \
+ 	words \
          icon
-     LIBS = -lSDL_mixer \
- 	-lSDL \
+-    LIBS = -lSDL_mixer \
+-	-lSDL \
 -        -lhunspell \
-+	-lhunspell-1.3 \
- 	-lglibmm-2.4 \
- 	-lcurl \
- 	-lxml++-2.6 \
+-	-lglibmm-2.4 \
+-	-lcurl \
+-	-lxml++-2.6 \
++    LIBS = \
  	$$TOPDIR/lib/libflo.a
 -    data.path = /usr/share/sounds
 +    data.path = $$PREFIX/share/sounds
@@ -68,8 +72,7 @@
 +    mime.path = $$PREFIX/share/textroom
      mime.files = resource/desktop/textroom-txr-mime.xml
 -    uninstaller.path = /usr/bin
-+    uninstaller.path = $$PREFIX/bin
-     uninstaller.files = resource/desktop/textroom-uninstall
+-    uninstaller.files = resource/desktop/textroom-uninstall
 -    dict.path = /usr/share/hunspell
 +    dict.path = $$PREFIX/share/hunspell
      dict.files = resource/dict/*

Modified: head/editors/textroom/pkg-plist
==============================================================================
--- head/editors/textroom/pkg-plist	Sat Dec 21 11:03:03 2013	(r337138)
+++ head/editors/textroom/pkg-plist	Sat Dec 21 11:19:14 2013	(r337139)
@@ -1,13 +1,12 @@
 bin/textroom
-bin/textroom-uninstall
 share/applications/textroom.desktop
-share/textroom/textroom-txr-mime.xml
-share/textroom/words.txt
 share/hunspell/tr.aff
 share/hunspell/tr.dic
 share/pixmaps/textroom.png
 share/sounds/keyany.wav
 share/sounds/keyenter.wav
+%%DATADIR%%/textroom-txr-mime.xml
+%%DATADIR%%/words.txt
+@dirrm %%DATADIR%%
 @dirrmtry share/sounds
 @dirrmtry share/hunspell
-@dirrm share/textroom
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Pawel Pekala freebsd_committer 2013-12-21 11:19:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-12-21 13:16:32 UTC
Author: mat
Date: Sat Dec 21 13:16:19 2013
New Revision: 337144
URL: http://svnweb.freebsd.org/changeset/ports/337144

Log:
  MFH: r337139
  
  - Fix build on -current
  - Support desktop-file-utils
  - Strip textroom binary
  
  PR:		ports/184893
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	portmgr (implicit)

Modified:
  branches/2014Q1/editors/textroom/Makefile
  branches/2014Q1/editors/textroom/files/patch-application_application.pro   (contents, props changed)
  branches/2014Q1/editors/textroom/pkg-plist   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/editors/textroom/Makefile
==============================================================================
--- branches/2014Q1/editors/textroom/Makefile	Sat Dec 21 12:55:29 2013	(r337143)
+++ branches/2014Q1/editors/textroom/Makefile	Sat Dec 21 13:16:19 2013	(r337144)
@@ -3,27 +3,32 @@
 
 PORTNAME=	textroom
 PORTVERSION=	0.8.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	editors
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Full screen text editor
 
-LIB_DEPENDS=	libhunspell-1.3.so:${PORTSDIR}/textproc/hunspell \
-		libxml++-2.6.so:${PORTSDIR}/textproc/libxml++26 \
-		libcurl.so:${PORTSDIR}/ftp/curl
+LICENSE=	GPLv3
 
-USES=		qmake shared-mime-info
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl \
+		libhunspell-1.3.so:${PORTSDIR}/textproc/hunspell \
+		libxml++-2.6.so:${PORTSDIR}/textproc/libxml++26
+
+USES=		desktop-file-utils pkgconfig qmake
+USE_GL=		gl
 USE_SDL=	mixer
-USE_QT4=	moc_build rcc_build uic_build corelib gui xml \
-		svg opengl qt3support
-QMAKE_ARGS=	LOCALBASE=${LOCALBASE}
+USE_QT4=	moc_build rcc_build uic_build \
+		corelib gui opengl qt3support svg xml
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|' \
-		${WRKSRC}/application/src/textroom.cpp \
-		${WRKSRC}/application/src/getaword.cpp \
-		${WRKSRC}/application/src/optionsdialog.cpp
+.for i in getaword.cpp optionsdialog.cpp textroom.cpp 
+	@${REINPLACE_CMD} -e \
+		's|/usr/share|${PREFIX}/share|' ${WRKSRC}/application/src/${i}
+.endfor
+
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}/${PREFIX}/bin/textroom
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/editors/textroom/files/patch-application_application.pro
==============================================================================
--- branches/2014Q1/editors/textroom/files/patch-application_application.pro	Sat Dec 21 12:55:29 2013	(r337143)
+++ branches/2014Q1/editors/textroom/files/patch-application_application.pro	Sat Dec 21 13:16:19 2013	(r337144)
@@ -1,14 +1,14 @@
 --- application/application.pro.orig	2011-01-22 03:25:20.000000000 +0100
 +++ application/application.pro	2011-02-10 21:37:18.000000000 +0100
-@@ -4,19 +4,20 @@
+@@ -4,20 +4,16 @@
      src \
      ui
  
 -linux-g++ {
-+freebsd-g++ {
++unix {
  	INCLUDEPATH += . \
  	    src \
- 	    src/include \
+-	    src/include \
 -	    /usr/include \
 -	    /usr/include/hunspell \
 -	    /usr/include/libxml++-2.6 \
@@ -18,37 +18,41 @@
 -	    /usr/lib/glib-2.0/include \
 -	    /usr/lib/libxml++-2.6/include \
 -	    /usr/include/SDL
-+	    $$LOCALBASE/include \
-+	    $$LOCALBASE/include/hunspell \
-+	    $$LOCALBASE/include/libxml++-2.6 \
-+	    $$LOCALBASE/include//libxml++-2.6/include \
-+	    $$LOCALBASE/include/glibmm-2.4 \
-+	    $$LOCALBASE/lib/glibmm-2.4/include \
-+	    $$LOCALBASE/include/glib-2.0 \
-+	    $$LOCALBASE/lib/glib-2.0/include \
-+	    $$LOCALBASE/lib/libxml++-2.6/include \
-+	    $$LOCALBASE/include/SDL
- 	
+-	
++	    src/include
++	PKGCONFIG += \
++	    glib-2.0 \
++	    hunspell \
++	    libcurl \
++	    libxml++-2.6 \
++	    SDL_mixer
  }
  
-@@ -85,7 +86,7 @@
+ macx {
+@@ -85,40 +81,33 @@
      src/asciireporter.cpp
  RESOURCES += resource/textroom.qrc \
  	resource/images/icons-app.qrc 
 -linux-g++ {
-+freebsd-g++ {
++unix {
      CONFIG += release \
++        link_pkgconfig \
          build_all
      INSTALLS += data \
-@@ -98,27 +99,27 @@
+         dict \
+         target \
+         desktop \
+-        uninstaller \
+         mime \
+ 	words \
          icon
-     LIBS = -lSDL_mixer \
- 	-lSDL \
+-    LIBS = -lSDL_mixer \
+-	-lSDL \
 -        -lhunspell \
-+	-lhunspell-1.3 \
- 	-lglibmm-2.4 \
- 	-lcurl \
- 	-lxml++-2.6 \
+-	-lglibmm-2.4 \
+-	-lcurl \
+-	-lxml++-2.6 \
++    LIBS = \
  	$$TOPDIR/lib/libflo.a
 -    data.path = /usr/share/sounds
 +    data.path = $$PREFIX/share/sounds
@@ -68,8 +72,7 @@
 +    mime.path = $$PREFIX/share/textroom
      mime.files = resource/desktop/textroom-txr-mime.xml
 -    uninstaller.path = /usr/bin
-+    uninstaller.path = $$PREFIX/bin
-     uninstaller.files = resource/desktop/textroom-uninstall
+-    uninstaller.files = resource/desktop/textroom-uninstall
 -    dict.path = /usr/share/hunspell
 +    dict.path = $$PREFIX/share/hunspell
      dict.files = resource/dict/*

Modified: branches/2014Q1/editors/textroom/pkg-plist
==============================================================================
--- branches/2014Q1/editors/textroom/pkg-plist	Sat Dec 21 12:55:29 2013	(r337143)
+++ branches/2014Q1/editors/textroom/pkg-plist	Sat Dec 21 13:16:19 2013	(r337144)
@@ -1,13 +1,12 @@
 bin/textroom
-bin/textroom-uninstall
 share/applications/textroom.desktop
-share/textroom/textroom-txr-mime.xml
-share/textroom/words.txt
 share/hunspell/tr.aff
 share/hunspell/tr.dic
 share/pixmaps/textroom.png
 share/sounds/keyany.wav
 share/sounds/keyenter.wav
+%%DATADIR%%/textroom-txr-mime.xml
+%%DATADIR%%/words.txt
+@dirrm %%DATADIR%%
 @dirrmtry share/sounds
 @dirrmtry share/hunspell
-@dirrm share/textroom
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"